Package me.totalfreedom.scissors.event.block

# Class MasterBlockFireEvent

java.lang.Object
org.bukkit.event.Event
me.totalfreedom.scissors.event.block.MasterBlockFireEvent

All Implemented Interfaces:
  `Cancellable`

public class MasterBlockFireEvent extends Event implements Cancellable
Called when a GameMasterBlock is fired (i.e. command block, structure block, jigsaw block)

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`MasterBlockFireEvent(@NotNull Location at)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Location`
`getAt()`
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancelled)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MasterBlockFireEvent

public MasterBlockFireEvent(@NotNull @NotNull Location at)

## Method Details

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()

### getAt

@NotNull public @NotNull Location getAt()

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancelled)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancelled` - true if you wish to cancel this event